Request body
- Content-Type
- application/json
- Schema
- object
{
"type": "object",
"properties": {
"projectId": {
"type": "string",
"format": "uuid"
},
"scopeType": {
"type": "string",
"enum": [
"project",
"dataset",
"dataset_version"
]
},
"datasetId": {
"type": "string",
"nullable": true,
"format": "uuid"
},
"datasetVersionId": {
"type": "string",
"nullable": true,
"format": "uuid"
},
"sourceType": {
"type": "string",
"enum": [
"health-check",
"workflow-run",
"workflow_item",
"quality-rule",
"annotation-gap",
"export-job",
"policy-gate",
"collection-delivery-batch",
"collection-submission"
]
},
"sourceId": {
"type": "string",
"format": "uuid"
},
"title": {
"type": "string",
"nullable": true,
"maxLength": 256
},
"description": {
"type": "string",
"nullable": true,
"maxLength": 4000
},
"severity": {
"type": "string",
"enum": [
"info",
"warning",
"blocking"
]
},
"assigneeProjectMembershipId": {
"type": "string",
"nullable": true,
"format": "uuid"
},
"dueAt": {
"type": "string",
"nullable": true
}
},
"required": [
"projectId",
"scopeType",
"sourceType",
"sourceId"
]
}Responses
| Status | Description | Content-Type | Schema |
|---|
| 201 | Success | application/json | object |
| 400 | Bad request. Enumerated catalog codes for this operation. | application/problem+json | union |
| 401 | Authentication failed. A specific TOKEN_* cause is returned only when the presented hash matched a stored row. | application/problem+json | union |
| 403 | Authorization failed. PERMISSION_DENIED on an any-of route lists the alternatives in message. | application/problem+json | union |
| 409 | Conflict. Enumerated catalog codes for this operation. | application/problem+json | union |
| 429 | Authenticated per-principal or per-tenant request budget exceeded. Rate-limit headers appear only on 429. | application/problem+json | union |
{
"type": "object",
"properties": {
"data": {
"$ref": "#/components/schemas/RepairTaskDto"
}
},
"required": [
"data"
]
}{
"allOf": [
{
"$ref": "#/components/schemas/ProblemJson"
},
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"enum": [
400
]
},
"code": {
"type": "string",
"enum": [
"BAD_REQUEST",
"IDEMPOTENCY_KEY_INVALID",
"IF_MATCH_INVALID",
"INVALID_STATUS_TRANSITION",
"TENANT_CONTEXT_MISMATCH",
"TENANT_REQUIRED",
"VALIDATION_ERROR",
"WAIVE_REASON_REQUIRED"
]
}
}
}
]
}{
"allOf": [
{
"$ref": "#/components/schemas/PublishedAuthProblem"
},
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"enum": [
401
]
},
"code": {
"type": "string",
"enum": [
"TOKEN_MALFORMED",
"TOKEN_NOT_FOUND",
"TOKEN_EXPIRED",
"TOKEN_REVOKED",
"UNAUTHORIZED",
"SESSION_EXPIRED",
"ACTIVATION_REQUIRED",
"MFA_REQUIRED"
]
}
}
}
]
}{
"allOf": [
{
"$ref": "#/components/schemas/PublishedAuthProblem"
},
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"enum": [
403
]
},
"code": {
"type": "string",
"enum": [
"PERMISSION_DENIED",
"PERMISSION_NOT_DECLARED",
"FORBIDDEN",
"MEMBERSHIP_NOT_FOUND",
"MEMBERSHIP_DISABLED",
"MEMBERSHIP_EXPIRED",
"PROJECT_MEMBERSHIP_EXPIRED"
]
}
}
}
]
}{
"allOf": [
{
"$ref": "#/components/schemas/ProblemJson"
},
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"enum": [
409
]
},
"code": {
"type": "string",
"enum": [
"IDEMPOTENCY_CONFLICT"
]
}
}
}
]
}{
"allOf": [
{
"$ref": "#/components/schemas/PublishedAuthProblem"
},
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"enum": [
429
]
},
"code": {
"type": "string",
"enum": [
"RATE_LIMITED"
]
}
}
}
]
}